local ruled = require "ruled"
local beautiful = require "beautiful"
local awful = require "awful"

ruled.client.connect_signal("request::rules", function()
    ruled.client.append_rule({
        id = "global",
        rule = {},
        properties = {
            border_width = beautiful.border_width,
            border_color = beautiful.border_normal,
            focus = awful.client.focus.filter,
            raise = true,
            screen = awful.screen.preferred,
            placement = awful.placement.centered+awful.placement.no_offscreen,
            floating = false,
            honor_padding = true
        }
    })

    ruled.client.append_rule({
        id = "titlebars",
        rule_any = {
            type = {
                "normal",
                "dialog"
            }
        },
        properties = {
            titlebars_enabled = true
        }
    })

    ruled.client.append_rule({
        id = "pip",
        rule = {
            name = "Picture-in-Picture"
        },
        properties = {
            ontop = true
        }
    })

    ruled.client.append_rule({
        id = "browser_tag",
        rule_any = {
            instance = { "Navigator" }
        },
        properties = {
            screen = 1,
            tag = screen[1].tags[2]
        }
    })

    ruled.client.append_rule({
        id = "chat_tag",
        rule_any = {
            class = { "discord" }
        },
        properties = {
            screen = 1,
            tag = screen[1].tags[3]
        }
    })

    
    ruled.client.append_rule({
        id = "music_tag",
        rule_any = {
            class = { "Spotify" }
        },
        properties = {
            screen = 1,
            tag = screen[1].tags[4],
            titlebars_enabled = false
        }
    })

    ruled.client.append_rule({
        id = "code_tag",
        rule_any = {
            class = { "lite-xl", "code_term" }
        },
        properties = {
            screen = 1,
            tag = screen[1].tags[5]
        }
    })

    ruled.client.append_rule({
        id = "steam",
        rule_any = {
            class = { "Steam" }
        },
        properties = {
            screen = 1,
            tag = screen[1].tags[6]
        }
    })
end)
