local xresources = require "beautiful.xresources"
local dpi = xresources.apply_dpi

local naughty = require("naughty")

local qvars = require "quarrel.vars"

local theme = {}

theme.font = qvars.font

theme.bg_normal = qvars.colors.bg
theme.bg_focus = qvars.colors.bg
theme.bg_urgent = qvars.colors.bg
theme.bg_minimize = qvars.colors.bg
theme.bg_systray = qvars.colors.bg

theme.fg_normal = qvars.colors.fg
theme.fg_focus = qvars.colors.fg
theme.fg_urgent = qvars.colors.fg
theme.fg_minimize = qvars.colors.fg

theme.useless_gap = dpi(2)
theme.border_width = qvars.border_width
theme.border_normal = qvars.colors.bright.black
theme.border_focus = qvars.colors.bright.black
theme.border_marked = qvars.colors.bright.black

theme.notification_icon_size = dpi(32)
theme.notification_border_width = qvars.border_width
theme.notification_border_color = theme.border_normal
theme.notification_shape = qvars.shape
theme.notification_spacing = theme.useless_gap * 2
                           
naughty.config.presets.critical.bg = theme.bg_normal
naughty.config.presets.critical.timeout = 3
naughty.config.presets.critical.fg = theme.fg_normal
naughty.config.presets.critical.border_color = qvars.colors.red
naughty.config.defaults.position = "bottom_right"
naughty.config.defaults.border_width = qvars.border_width

theme.tasklist_plain_task_name = true
theme.enable_spawn_cursor = false

return theme

