// use meval::eval_str;
use cpc::{
    eval,
    units::Unit,
};
use mlua::prelude::*;

use crate::lenses::entry::{
    entries_to_lua_table,
    Entry,
};

pub fn query<'a>(lua: &Lua, input: String) -> LuaResult<LuaTable> {
    let result = match eval(input.trim(), true, Unit::Celsius, false) {
        Ok(result) => {
            format!(
                "{}{}",
                result.value,
                match result.unit {
                    Unit::NoUnit => "".to_owned(),
                    _ => format!(" {:?}", result.unit),
                }
            )
        }
        Err(_) => return lua.create_table(),
    };

    Ok(entries_to_lua_table(
        vec![Entry {
            message: result,
            exec: None,
            provider: "Calculator".to_string(),
        }],
        lua,
    ))
}
