local awful = require "awful"
local gears = require "gears"
local qvars = require "quarrel.vars"
local wibox = require "wibox"

local qui = {}

function qui.markup_fg(color, text)
    return "<span color=\"" .. color .. "\">" .. text .. "</span>"
end

function qui.markup_bg(color, text)
    return "<span bgcolor=\"" .. color .. "\">" .. text .. "</span>"
end

function qui.font(factor)
    return qvars.text_font .. " " .. qvars.font_size * (factor or 1)
end

function qui.symbol_font(factor)
    return qvars.symbol_font .. " " .. qvars.font_size * (factor or 1)
end

function qui.styled(target)
    return gears.table.crush({
        bg = qvars.colors.bg,
        border_color = qvars.colors.bright.black,
        border_width = qvars.border_width,
        shape = qvars.shape
    }, target)
end

function qui.popup(args)
    args.widget = {
        widget = wibox.container.margin,
        margins = qvars.big_padding,
        args.widget
    }

    return awful.popup(qui.styled(args))
end

function qui.tooltip(objects, callback)
    awful.tooltip(qui.styled {
        objects = objects,
        timer_function = callback,
        margin_leftright = qvars.padding,
        margin_topbottom = qvars.padding
    })
end

return qui
