local wallpaper = require "awful.wallpaper"
local wibox = require "wibox"
-- local gfs = require "gears.filesystem"
local qvars = require "quarrel.vars"
local qui = require "quarrel.ui"

screen.connect_signal("request::wallpaper", function(s)
    wallpaper {
        bg = qvars.colors.dim.bg,
        screen = s,
        widget = {
            widget = wibox.container.place,
            valign = "center",
            halign = "center",
            {
                widget = wibox.widget.textbox,
                font = qui.font(1.5),
                markup = table.concat({
                    qui.markup_fg(qvars.colors.red, "   ___"),
                    qui.markup_fg(qvars.colors.green, "  /\\  \\"),
                    qui.markup_fg(qvars.colors.yellow, " /::\\  \\"),
                    qui.markup_fg(qvars.colors.blue, "/::\\:\\__\\"),
                    qui.markup_fg(qvars.colors.pink, "\\/\\::/  /"),
                    qui.markup_fg(qvars.colors.cyan, "   \\/__/")
                }, "\n")
            }
            -- {
            --     image  = gfs.get_configuration_dir() .. "assets/nightmare_fuel.png",
            --     resize = true,
            --     widget = wibox.widget.imagebox,
            -- },
            -- valign = "center",
            -- halign = "center",
            -- tiled  = false,
            -- widget = wibox.container.tile,
        }
    }
end)
