local wibox = require "wibox"
local qvars = require "quarrel.vars"

local battery_bar = require "ui.statusbar.panel.widgets.battery_bar"
local brightness_bar = require "ui.statusbar.panel.widgets.brightness_bar"

local panel = wibox.widget {
    {
        widget = wibox.container.margin,
        margins = {
            left = qvars.big_padding * 2
        }
    },
    {
        widget = wibox.container.constraint,
        width = qvars.bar_size * 6,
        strategy = "exact",
        {
            widget = wibox.container.margin,
            margins = {
                right = qvars.big_padding * 4
            },
            {
                {
                    widget = wibox.widget.calendar.month,
                    date = os.date("*t"),
                    font = qvars.font,
                    -- long_weekdays = true,
                    -- flex_height = true,
                    -- fn_embed = decorate_cell
                },
                {
                    widget = wibox.container.background,
                    -- bg = qvars.colors.blue,
                    {
                        widget = wibox.widget.textbox,
                        text = ":)"
                    }
                },
                {
                    widget = wibox.container.place,
                    valign = "bottom",
                    {
                        {
                            widget = wibox.widget.separator,
                            forced_height = qvars.char_height * 4 + qvars.padding * 4,
                            color = qvars.colors.transparent,
                        },
                        brightness_bar,
                        battery_bar,
                        layout = wibox.layout.fixed.vertical,
                        spacing = qvars.padding * 2
                    },
                },
                layout = wibox.layout.align.vertical,
            }
        }
    },
    layout = wibox.layout.fixed.horizontal
}

-- panel:get_children_by_id("ratio_layout"):adjust_ratio(2, 0.3, 0.7, 0)
-- gdebug.dump(panel:get_children_by_id("ratio_layout"))

return panel
