local qvars = require "quarrel.vars"
local wibox = require "wibox"
local qmath = require "quarrel.math"
local gcolor = require "gears.color"
local phosphor = require "assets.phosphor"

local brightness = wibox.widget {
    widget = wibox.container.place,
    valign = "center",
    halign = "center",
    {
        widget = wibox.widget.imagebox,
        image = gcolor.recolor_image(phosphor.moon_fill, qvars.colors.fg),
        forced_width = qvars.icon_size,
        forced_height = qvars.icon_size
    }
}

awesome.connect_signal("services::brightness", function(value)
    local icon_data = qmath.step_value(value, {
        { 0, "cloud_moon" },
        { 51, "moon" },
        { 102, "sun_horizon" },
        { 153, "sun_dim" },
        { 204, "sun" },
        { 255 }
    })

    brightness.widget.image = gcolor.recolor_image(phosphor[icon_data .. "_fill"], qvars.colors.fg)
end)

return brightness
