local wezterm = require "wezterm"

function R(name)
    local m = require(name)
    return m
end

C = {
    fg = "#dfe2e7",
    bg = "#222831",
    fg_dark = "#8893a5",
    bg_dark = "#1e232b",

    black = "#252c36",
    red = "#de615c",
    green = "#91d89a",
    yellow = "#ffc469",
    blue = "#8fc7ff",
    pink = "#f2b9c1",
    cyan = "#9cfdff",
    white = "#dfe2e7",

    bright = {
        black = "#2c3440",
        red = "#e8908d",
        green = "#b2e4b8",
        yellow = "#ffd696",
        blue = "#b1d8ff",
        pink = "#f6ced4",
        cyan = "#bafeff",
        white = "#e9ebee",
    }
}


function M(...)
    local mt = {}
    for _,t in ipairs {...} do
        for k,v in pairs(t) do
            mt[k] = v
        end
    end
    return mt
end

wezterm.on("bell", function()
    wezterm.background_child_process {
        "notify-send",
        "bell"
    }
end)

return M(
    {
        window_close_confirmation = "NeverPrompt",
        check_for_updates = false
    },
    R "appearance",
    R "keys"
)
-- return {}
